Bug 216019 - devel/ptlib: fails to build with clang 4.0 (3 ports skipped)
Summary: devel/ptlib: fails to build with clang 4.0 (3 ports skipped)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-13 09:17 UTC by Jan Beich
Modified: 2017-01-31 00:04 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-13 09:17:07 UTC
vidinput_v4l.cxx:981:23: error: ordered comparison between pointer and zero ('BYTE *' (aka 'unsigned char *') and 'int')
      if (videoBuffer < 0) {
          ~~~~~~~~~~~ ^ ~

build log: http://sprunge.us/dNaE
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 commit-hook freebsd_committer 2017-01-21 04:40:55 UTC
A commit references this bug:

Author: jbeich
Date: Sat Jan 21 04:40:07 UTC 2017
New revision: 432013
URL: https://svnweb.freebsd.org/changeset/ports/432013

Log:
  devel/ptlib: properly detect mmap(2) failure

  PR:		216019
  MFH:		2017Q1

Changes:
  head/devel/ptlib/Makefile
  head/devel/ptlib/files/patch-plugins_vidinput__bsd_vidinput__bsd.cxx
  head/devel/ptlib/files/patch-plugins_vidinput__v4l_vidinput__v4l.cxx
Comment 2 commit-hook freebsd_committer 2017-01-22 08:14:40 UTC
A commit references this bug:

Author: jbeich
Date: Sun Jan 22 08:14:16 UTC 2017
New revision: 432097
URL: https://svnweb.freebsd.org/changeset/ports/432097

Log:
  MFH: r432013

  devel/ptlib: properly detect mmap(2) failure

  PR:		216019
  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/devel/ptlib/Makefile
  branches/2017Q1/devel/ptlib/files/patch-plugins_vidinput__bsd_vidinput__bsd.cxx
  branches/2017Q1/devel/ptlib/files/patch-plugins_vidinput__v4l_vidinput__v4l.cxx